Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 16 Apr 2023 06:59:18 +0000 (UTC)

Hi Maram Said,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Very bad experience
 I ordered 15 April 2023 early morning 4 between 5 ,app shows same day delivery or pick up fro pick up point,so that's why I ordered..but I didn't get the item 15th April 2023,
2 times I called customer care also, they also said,15 I can can get the orderd items..
So this is very bad experience from splash team,
I need any compensation for this late issue... https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6078424